﻿@model MotorsazanMachineryApiApp.Models.Outputs.AssignPeopleToLine.OutputGetEmployeeCurrentLineByProductionLineEmployeeID
<div class="row">
    <div class="col-xs-12 col-md-6">
        <div class="app__form-item">
            <label class="app__form-label">پرسنل</label>
            @Html.DevExpress().TextBox(settings =>
            {
                settings.Name = "transformModalNameInput";
                settings.Properties.NullText = "نام پرسنل";
                settings.ClientEnabled = false;
            }).Bind(Model.EmployeeName).GetHtml()
        </div>
    </div>
    <div class="col-xs-12 col-md-6">
        <div class="app__form-item">
            <label class="app__form-label">خط فعلی</label>
            @Html.DevExpress().TextBox(settings =>
            {
                settings.Name = "transformModalLineInput";
                settings.Properties.NullText = "نام خط فعلی";
                settings.ClientEnabled = false;
            }).Bind(Model.LineName).GetHtml()
        </div>
    </div>
    <div class="col-xs-12">
        <div class="app__form-item">
            <label class="app__form-label">
                انتخاب خط جدید
            </label>
            <div id="transferModalDepartmentComboParent">
                @{ Html.RenderAction("TransformModalDepartmentCombo", "AssignPeople"); }
            </div>
            <div id="transferModalDepartmentComboError"
                 class="app__form-error app__hide">
                خط جدید انتخاب نشده است
            </div>
        </div>
    </div>
    <div class="col-xs-12">
        <div class="app__form-item app__form-item--action">
            @Html.DevExpress().Button(settings =>
            {
                settings.Name = "transformModalSaveBtn";
                settings.Text = "ثبت";
                settings.UseSubmitBehavior = false;
                settings.EnableClientSideAPI = true;
                settings.Styles.CssPostfix = "filter-form__btn";
                settings.ClientSideEvents.Click =
                    "motorsazanClient.assignPeople.transfrom";
            }).GetHtml()
        </div>
    </div>
</div>